# $Revision: 1.35 $, $Date: 2009/09/16 13:16:06 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	List
%define		pnam	Compare
Summary:	List::Compare - comparing elements of two lists
Summary(pl.UTF-8):	List::Compare - porównywanie elementów dwóch list
Name:		perl-List-Compare
Version:	0.37
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/List/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7c730dd58cc31a5bbb8eb7006edd1704
URL:		http://search.cpan.org/dist/List-Compare/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
List::Compare is a simple, object-oriented implementation of very
common Perl code used to determine interesting relationships between
two lists at a time.

%description -l pl.UTF-8
List::Compare jest prostą, obiektowo zorientowaną implementacją
popularnego perlowego kodu, używanego do określania relacji pomiędzy
dwoma listami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorlib}/List/Compare.pm
%{perl_vendorlib}/List/Compare
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-List-Compare.spec,v $
Revision 1.35  2009/09/16 13:16:06  amateja
- updated to 0.37

Revision 1.34  2007/12/24 17:39:32  qboosh
- generic URL
- fixed file list duplicate

Revision 1.33  2007-12-24 02:18:12  zbyniu
- up to 0.34

Revision 1.32  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.30  2004/11/03 22:30:30  paladine
- formatting

Revision 1.29  2004/10/24 15:53:15  paladine
- spelling fixes, uppercases, etc.

Revision 1.28  2004/08/22 09:18:06  adamg
- updated to 0.31

Revision 1.27  2004/06/05 18:10:42  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.26  2004/05/13 18:40:27  adamg
- updated to 0.29

Revision 1.25  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.24  2004/05/06 18:01:29  ankry
- fixed perl-devel BR

Revision 1.23  2004/04/25 16:27:35  adamg
- updated to 0.28

Revision 1.22  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.21  2004/04/22 18:21:29  ankry
- license fixes & unification

Revision 1.20  2004/04/17 15:10:03  adamg
- updated to 0.27

Revision 1.19  2004/04/11 06:35:34  agaran
 - update to 0.26

Revision 1.18  2004/04/04 21:30:38  adamg
- updated to 0.25

Revision 1.17  2004/03/29 17:14:21  adamg
- updated to 0.24

Revision 1.16  2004/01/24 22:26:26  arekm
- autoupdated to 0.22

Revision 1.15  2003/11/23 14:40:59  migo
- up to 0.21, added tests bcond

Revision 1.14  2003/10/01 22:43:18  migo
- up to 0.2

Revision 1.13  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/13 00:02:52  ankry
- merge from RA-branch: updated to 0.16

Revision 1.7  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/28 10:08:25  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:35:34  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/12 22:21:03  radek
- version 0.15
- added Changes and README files

Revision 1.2  2002/08/26 13:17:51  ankry
- use ftp: URL, cleaning
- updated to 0.14
- adapterized

Revision 1.1  2002/07/24 20:01:36  radek
- new, STBR
